Skip to main content

Update Sender Identity

Update the display name of a sender identity.


Endpoint​

PATCH https://api.campaignlark.com/v1/sender-identities/:id

Path Parameters​

ParameterTypeRequiredDescription
idintegerrequiredThe sender identity ID.

Request Body​

FieldTypeRequiredDescription
display_namestringrequiredThe new display name.

Sample Request​

PATCH https://api.campaignlark.com/v1/sender-identities/1
Content-Type: application/json

{
"display_name": "Support Team"
}

Response​

Success — 200 OK​

{
"error": null,
"data": "The sender identity has been updated successfully."
}

Errors​

StatusMessageCause
400Please provide a valid sender identity ID.id path param is missing or not a number.
400Invalid request body.Request body could not be parsed.
400Various validation errorsIdentity not found, display name invalid, etc.